June 14, 2002
To Our Stockholders:
I am very pleased to report that McKesson delivered excellent performance on all key financial measurements in its fiscal year 2002. Here are the highlights for the year:
Revenues excluding sales to customers' warehouses were up 18%.
Total revenues exceeded $50 billion.
Pro forma operating profit was up 39%.
Pro forma earnings per fully diluted share increased 51%.
Return on committed capital increased from 18.8% to 21.8%.
Return on equity increased from 7.8% to 11.9%.
McKesson has now reported two full years of solidly improving financial performance, including five consecutive quarters of pro forma earnings per share growth above 40%, the last two above 50%.
Our improving results are being driven by above-market revenue growth in our U.S. pharmaceutical distribution business, new product introductions in our Information Solutions segment, increased demand for our automation products that reduce medication errors, operating improvements that drive margin expansion and disciplined asset management. Our continued focus on these strategies going forward should deliver sustained improvement in financial results.
McKesson is well positioned to maintain its financial momentum. The demand for healthcare is increasing, driven by the demographics of the U.S. population. This will fuel increased consumption of our pharmaceutical and medical-surgical products. At the same time, the demands on healthcare providers have never been greater. The government, employers and consumers are demanding both improvements in the quality of healthcare and lower costs. In the past, bluntly applied expense controls and economies of scale have been used to slow cost increases. We believe that these macroeconomic approaches have run their course. Healthcare providers must now turn to microeconomic strategies that reduce variability by applying best-demonstrated practices to eliminate the errors associated with the human side of healthcare. This should drive increased investments in information systems and automation solutions from McKesson to improve quality and streamline workflow.
We have grown our pharmaceutical distribution segment faster than the market by demonstrating that we can reduce costs and working capital investments for our customers. We improve supply chain management through the use of technologies that enable McKesson to deliver products to our customers at the point of use, as

opposed to simply sitting on the shelves. As a result, we have been able to gain new domestic pharmaceutical business that was previously shipped direct or outside the distribution channel. Our Canadian pharmaceutical distribution revenues also grew faster than the market.
We have balanced our strong pharmaceutical revenue growth with significant operating margin rate expansion. For the past two years, operating margin improvement has been delivered by product sourcing opportunities, improvements in operations, a broader generics offering and margin expansion in our Canadian distribution business. It is our goal to increase the Pharmaceutical Solutions operating margin again in the coming year, driven by further improvements in these areas and profit contributions from associated products and services.
In September 2001, we implemented a major restructuring of our medical-surgical distribution network to significantly reduce the number of distribution centers. When successfully completed, this restructuring will have a positive impact on the cost structure of that business. We are also implementing a new, business-wide information system designed to enable greater operating efficiencies and improve quality.
Beginning with the company's 2002 Annual Report on Form 10-K, we are expanding our segment disclosure to provide investors with additional information about our pharmaceutical and medical-surgical distribution businesses. This additional information should enable investors to better understand the dynamics of the company's financial performance and in particular to fully appreciate the excellent results we have achieved in the Pharmaceutical Solutions segment over the past two years.
While our near-term supply management strategy is focused on executing the opportunities that exist for growth and profitability in our pharmaceutical and medical-surgical distribution segments, during the past year we took actions that, if successful, should drive additional growth over the longer term. For example, with our acquisition of Vita-Rx, we have assembled a set of capabilities tailored to the needs of pharmaceutical and biotechnology manufacturers and payors for Specialty Pharmaceutical distribution. Vita-Rx complements our patient support programs, our disease management offering and our extensive distribution capabilities. This is a growth area of the market and we believe we will be competitive for new business opportunities.
Our Information Solutions segment continues its well-designed plan to return to market leadership. Operating profit increased significantly the past fiscal year by streamlining our cost structure so that we could continue to invest in areas to drive future growth: the continued evolution of our product lines, expansion of our sales force, and upgrading our customer service capabilities. These strategies have dramatically improved product quality and customer satisfaction while driving a 37% increase in software bookings.
We believe that we are at the start of an extended period of strong demand for clinical software to drive improved patient care outcomes and healthcare quality in hospitals and health networks. In July 2001, we introduced our Horizon Clinicals offering to address the need of hospital and health network customers for

healthcare costs. A key component of the Horizon Clinicals offering is Horizon Expert Orders, which provides physicians with the information and decision support tools they require at the point of care, to optimize every patient encounter. When combined with our automation technologies, McKesson provides a comprehensive solution to medication errors from the point that the physician decides and writes the prescription to the point that the medication is delivered to the patient.
In May 2002, we announced a definitive agreement to acquire A.L.I. Technologies Inc., an innovative medical imaging company. Our ability to rapidly bring digitized medical images to physicians at our large installed base of customers should accelerate our market momentum. Recent surveys indicate that nearly half of McKesson's near-term clinical prospects are actively looking for a new medical image management solution. As a result, we see a significant opportunity to grow our share of the imaging market that is predicted by industry analysts to reach $1 billion annually by 2005. We expect to complete this acquisition in July and begin immediately to incorporate its capabilities into our Horizon Clinicals offering and our sales strategies.
Based on the market's response to our Horizon Clinicals introduction and our recent strong software bookings, we believe Information Solutions has the potential to deliver significant upside to the company's financial results over the next several years.
While our primary focus is on optimizing our significant business and financial opportunities, we also continue to manage the consolidated stockholder action against the company and other related litigation resulting from the disclosure of improper accounting at HBO & Co., which we acquired in January 1999. Recognizing the keen interest that our stockholders have in these issues as they continue to progress through the judicial process, please see our enclosed fiscal 2002 Annual Report on Form 10-K for a complete discussion of the status of these actions.
Before closing, on behalf of the company and its Board of Directors, I want to recognize the contributions of several retiring board members. Alfred C. Eckert III and Gerald E. Mayo, each of whom joined the board in 1999, have provided sound guidance and leadership during the company's recent financial and strategic turnaround.
I also want to pay special tribute to Alan Seelenfreund, who made many substantial contributions to the company during a 26-year career that included serving as chief executive officer from 1989 to 1997 and as chairman for most of the past 13 years. During his tenure as chairman, he led a sharpening of McKesson's focus in healthcare, providing strong leadership and strategic direction during a period of great change, challenge and opportunity for McKesson.
McKesson's success depends ultimately on the loyalty and commitment of our customers and employees. We are using a series of Business Scorecards across the company to measure annual financial, customer, employee and operating process performance compared to pre-set objectives. Hundreds of employees trained in Six

Sigma methodologies are applying them to drive process improvements that lower our costs while increasing quality for our customers. Across McKesson, we adhere to a set of principles to make decisions and guide our behavior, which we call ""I CARE'': Integrity, Customer-centered, Accountability, Respect and Excellence. Over the past two years, as a result of our focus on product quality and responsiveness, customer satisfaction has increased significantly, as measured by a number of independent, third party measures. Employee satisfaction has also increased. Even more importantly, employee turnover has been reduced and is now substantially lower than industry averages. I want to thank our customers for their continued commitment to McKesson and our employees for their hard work and sustained contributions to the company.
At McKesson, we have a clear vision of a New World for Healthcare. In this world:
Physicians are free to practice medicine aided by the best available evidence.
Patients are well-informed about healthcare quality, and errors are reduced.
New pharmaceuticals, devices and medical knowledge improve quality of life for all of us.
It's a world where healthcare quality is much higher and healthcare costs are much more affordable. It is our goal to help our healthcare customers become a part of that new world.
In conclusion, the external and internal fundamentals remain excellent in both healthcare distribution and healthcare information technology. Our Pharmaceutical Solutions segment provides stockholders with a solid foundation for growth over the next several years. Our Information Solutions segment provides the opportunity for stockholders to participate in a rapidly growing and higher margin segment of the healthcare market. McKesson has a well-designed offering to help improve quality and reduce costs, which should deliver great value to customers, employees and stockholders. We are in the right place at the right time in healthcare, with a complementary but diversified portfolio of healthcare businesses that should deliver sustained excellent financial performance. I'm very pleased with the results we have achieved over the past two fiscal years, and look forward to continued strong performance in fiscal 2003.

John H. Hammergren
President and Chief Executive Officer 